webhelp.tree.cookie.id
Prev | WebHelp | Next

## webhelp.tree.cookie.id

webhelp.tree.cookie.id — Controls how the cookie that stores the webhelp toc state is named.

## Synopsis

    <xsl:param name="webhelp.tree.cookie.id" select="concat( 'treeview-', count(//node()) )"></xsl:param>

## Description

The webhelp output does not use a frameset. Instead, the table of contents is a div on each page. To preserve the state of the table of contents as the user navigates from page to page, webhelp stores the state in a cookie and reads that cookie when you get to the next page. If you've published several webhelp documents on the same domain, it is important that each cookie have a unique id. In lieu of calling on a GUID generator, by default this parameter is just set to the number of nodes in the document on the assumption that it is unlikely that you will have more than one document with the exact number of nodes. A more optimal solution would be for the user to pass in some unique, stable identifier from the build system to use as the webhelp cookie id. For example, if you have safeguards in place to ensure that the xml:id of the root element of each document will be unique on your site, then you could set webhelptree.cookie.id as follows:

      <xsl:param name="webhelp.tree.cookie.id">
        <xsl:choose>
          <xsl:when test="/*/@xml:id">
    	<xsl:value-of select="concat('treeview-',/*/@xml:id)"/>
          </xsl:when>
          <xsl:otherwise>
    	<xsl:value-of select="concat( 'treeview-', count(//node()) )"/>
          </xsl:otherwise>
        </xsl:choose>
      </xsl:param>

Prev | Up | Next
webhelp.start.filename | Home | JavaHelp